> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintdirection

> This SoList provider generates the appointment/task direction list for the Saint criteria. This is a simple, hard-coded list corresponding to the direction field of the <see cref="!:SuperOffice.CRM.Rows.DocTmpl" /> and <see cref="!:SuperOffice.CRM.Rows.Task" /> tables. Tasks are both appointments and documents.

## "saintdirection" MDO List

This SoList provider generates the appointment/task direction list for the Saint criteria. This is a simple, hard-coded list corresponding
to the direction field of the <see cref="!:SuperOffice.CRM.Rows.DocTmpl" /> and <see cref="!:SuperOffice.CRM.Rows.Task" /> tables. Tasks are both
appointments and documents.

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintDirectionProvider">SaintDirectionProvider</see> class.
The name of the MDO list is 'saintdirection'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintdirection
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintdirection", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| -1 | All      |           |           |
| 1  | Incoming |           |           |
| 2  | Outgoing |           |           |

## Related MDO Lists

* "saintdirectionheadings"
* "saintdirectionheadingswithallitem"
* "saintdirectionheadingswithallitemwithnoselection"
* "saintdirectionheadingswithnoselection"
* "saintdirectionwithallitem"
* "saintdirectionwithallitemwithnoselection"
* "saintdirectionwithnoselection"


## Related topics

- [ContactProjects](/en/api/archive-providers/reference/contactprojects.md)
- [FreetextProject](/en/api/archive-providers/reference/freetextproject.md)
- [PersonProjects](/en/api/archive-providers/reference/personprojects.md)
- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
- [Contact](/en/api/archive-providers/reference/contact.md)
